Package: org.apache.groovy.parser.antlr4

## [Java] Class GroovyParser.IdentifierContext

- org.apache.groovy.parser.antlr4.GroovyParser.IdentifierContext

-     public static class GroovyParser.IdentifierContext
      extends GroovyParser.GroovyParserRuleContext

- - ### Constructor Summary

    Constructors
    Constructor and description
    `IdentifierContext(ParserRuleContext parent, int invokingState)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public TerminalNode` | `AS()`
    `` | `public TerminalNode` | `ASYNC()`
    `` | `public TerminalNode` | `AWAIT()`
    `` | `public TerminalNode` | `CapitalizedIdentifier()`
    `` | `public TerminalNode` | `DEFER()`
    `` | `public TerminalNode` | `IN()`
    `` | `public TerminalNode` | `Identifier()`
    `` | `public TerminalNode` | `MODULE()`
    `` | `public TerminalNode` | `PERMITS()`
    `` | `public TerminalNode` | `RECORD()`
    `` | `public TerminalNode` | `SEALED()`
    `` | `public TerminalNode` | `TRAIT()`
    `` | `public TerminalNode` | `VAL()`
    `` | `public TerminalNode` | `VAR()`
    `` | `public TerminalNode` | `YIELD()`
    `<Result>` | `public Result` | `accept(ParseTreeVisitor<? extends Result> visitor)`
    `` | `public int` | `getRuleIndex()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class GroovyParser.GroovyParserRuleContext` | `getMetaDataMap, setMetaDataMap`

- - ### Constructor Detail

    - #### public IdentifierContext(ParserRuleContext parent, int invokingState)

  - ### Method Detail

    - #### public TerminalNode AS()

    - #### public TerminalNode ASYNC()

    - #### public TerminalNode AWAIT()

    - #### public TerminalNode CapitalizedIdentifier()

    - #### public TerminalNode DEFER()

    - #### public TerminalNode IN()

    - #### public TerminalNode Identifier()

    - #### public TerminalNode MODULE()

    - #### public TerminalNode PERMITS()

    - #### public TerminalNode RECORD()

    - #### public TerminalNode SEALED()

    - #### public TerminalNode TRAIT()

    - #### public TerminalNode VAL()

    - #### public TerminalNode VAR()

    - #### public TerminalNode YIELD()

    - #### <Result> public Result accept(ParseTreeVisitor<? extends Result> visitor)

    - #### public int getRuleIndex()